# Fetch Listening Topic Backfill(s) by id. Supports bulk fetch.

Endpoint: GET /listening/backfill
Version: 3.0.0
Security: bearerAuth, apiKeyAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer Token

  - `apiKeyAuth` (unknown)
    apiKey in header Key

## Query parameters:

  - `id` (string)
    Comma-separated list of Backfill id

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `id` (string)
    Unique identifier of the Listening Topic Backfill

  - `topicId` (string)
    Listening Topic Unique identifier, for which Backfill need to be triggered

  - `fromTimeEpochMillis` (integer)
    Backfill start time in epoch millis

  - `toTimeEpochMillis` (integer)
    Backfill end time in epoch millis

  - `sources` (array)
    Backfill data sources list

  - `estimatedSourceVsCount` (object)
    Backfill Estimate details at source level

  - `backfilledSourceVsCount` (object)
    Backfilled data count at source level

  - `userId` (integer)
    Backfilled user id

  - `status` (string)
    Backfill current status

  - `backfilledDataCount` (integer)
    Over all Backfilled data count

  - `estimatedDataCount` (integer)
    Over all Estimated data count

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 401:

  - `401` (unknown)
    Missing or invalid authentication

## Response 401 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 403:

  - `403` (unknown)
    Insufficient permissions

## Response 403 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 404:

  - `404` (unknown)
    Resource not found

## Response 404 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

